output "arn" {
  value = aws_dax_cluster.dax.arn
}

output "configuration_endpoint" {
  value = aws_dax_cluster.dax.configuration_endpoint
}

output "cluster_address" {
  value = aws_dax_cluster.dax.cluster_address
}

output "port" {
  value = aws_dax_cluster.dax.port
}

output "nodes" {
  value = aws_dax_cluster.dax.nodes
}

output "read_only_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-only-policy[0].arn : ""
}

output "read_write_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.read-write-policy[0].arn : ""
}
